---
features:
  primary:
  - name: "Token rotation API"
    available_in: [core, premium, ultimate]
    gitlab_com: true
    documentation_link: 'https://docs.gitlab.com/ee/security/token_overview.html'
    video: "https://www.youtube-nocookie.com/embed/Lzb7DbPuqBU"
    reporter: hsutor
    stage: foundations
    categories: [System Access]
    issue_url: 'https://gitlab.com/gitlab-org/gitlab/-/issues/403042'
    description: |
      Previously, to rotate tokens, the token owner had to manually create a new token and replace the existing token.

      Now, token owners can use a `:rotate` API endpoint to programatically rotate personal, group, and project access tokens.
